!set title=The Luncheon QCM 1
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=165
prevarcnt=145
postvarcnt=19
replycnt=20
choicecnt=0
conditioncnt=40
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=the_luncheon_qcm
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Read the short story: The Luncheon  by S. Maugham, then answer the questions

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=The_Luncheon_story
val14=no
val15=no
val16=no
val17=
val18=split
val19=1
val20=aucune de ces possibilités
val21=checkbox
val22=
val23=
val24=
val25=
val26=
val27=background-color: #FFFFCC; margin: 2% 5%; padding: 1%;
val28=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 1%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=yes
val36=
val37=
val38=---
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val39=$(tmp0)
tmp0=!recordcnt $val39

val40=$[rint($(tmp0))]
val41=$val40
val42=5
val43=3

!ifval $val21 iswordof case 
val44= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val45=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val46= noreaccent
!else
val46=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val47= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val39

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val39

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val39

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val39

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val48=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val39

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val49= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val39

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val50= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val39

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val51= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val39

val52= $(tmp0)
!else
val52=$val10
!endif
val53=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val42=$[rint(min($val40,$val42))]
val41=$[rint(min($val42*$val41,$val40))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val40

val54= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val40

val54=	$(tmp1)
!endif
val55=Votre réponse :
val56=La bonne réponse :
val57=Bonne réponse
val58=Mauvaise réponse
val59=Réponse incomplète
val60=
tmp=!trim 
val61=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val62=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val63=!translate internal $	\
$ to ;; in $tmp
val64=
tmp=!trim 
val65=!translate internal $	\
$ to ;; in $tmp
val66=
!for val67 = 1 to $val41 
tmp0=!record $(val54[$val67]) of $val6

val68=$(tmp0)
val69=$val68
tmp=!translate internal $	$ to ; in $val69

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val69=$(tmp0)
tmp0=!getopt audio in $val69

val70=$(tmp0)
tmp0=!getopt image in $val69

val71=$(tmp0)
tmp0=!getopt title in $val69

val72=$(tmp0)
tmp0=!getopt intro in $val69

val73=$(tmp0)

!ifval $val70$val71$val72$val73  notsametext 
val74= 1 
!else
val74= 0
!endif
val75=

!ifval $val72 notsametext 
val75=$val75<p align="center">$val72</p>
!endif

!ifval $val73 notsametext 
val75=$val75 $val73
!endif

!ifval $val71 notsametext 
val75= $val75 <p align="center"><img src=$val1/$val71></p>
!endif
!if $val70 notsametext  

!ifval . isin $val70 or $val37= 
!readproc slib/media/audio $val1/$val70,player=$val38 
tmp0=$slib_out
val76= 	       $(tmp0)
!else
!readproc slib/lang/swac $val70,$val37,player=$val38 
tmp1=$slib_out
val76=$(tmp1)
!endif
val75=$val75 <p align="center">$(val76[1;1])</p>
!endif

!ifval $val74=1  
val77= $val75
!else
val77=&nbsp;
!endif

!ifval $val74=1 
tmp0=!line 2 to -1 of $val68

val68= $(tmp0)
!endif
tmp0=!embraced randitem $val68

tmp=!trim $(tmp0)
val68=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $val61	  $(val68[1;])
val61=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $val66	  $val77
val66=!translate internal $	\
$ to ;; in $tmp
val78=$(val68[2;])
tmp0=!upper $val78

val79=$(tmp0)
tmp0=!text select ABCDEFGHIJKLMNOPQRSTUVWXYZ in $val79

val79=$(tmp0)
!if $val79 issametext and $val78 notsametext  
tmp=!trim $val62 ;	  
val62=!translate internal $	\
$ to ;; in $tmp
val80=$[rint(2)]
!endif
!if $val79 issametext and $val78 issametext  
tmp=!trim $val62 ;	  
val62=!translate internal $	\
$ to ;; in $tmp
val80=$[rint(3)]
!endif
!if $val79 notsametext 
tmp=!trim $val62	  $val78
val62=!translate internal $	\
$ to ;; in $tmp
val80=$[rint(3)]
!endif
tmp=!translate internal $	$ to ; in $val68

tmp0=!rowcnt $tmp
val81=$[rint($(tmp0)-$val80)]
val64=$val64,$val81
val82=
tmp0=!shuffle $val81

val83=$(tmp0)
!for val84 =$val80+1 to $val81 + $val80+1 
val52=$(val68[$val84;])
tmp0=!replace internal , by  &#44; in $val52

val52=$(tmp0)
tmp=!trim $val82, $(val52[1;])
val82=!translate internal $	\
$ to ;; in $tmp
!next
tmp0=!nonempty items $val82

val82=$(tmp0)
val82=$(val82[$val83])
tmp=!trim $val65	     $val82
val65=!translate internal $	\
$ to ;; in $tmp
tmp0=!nospace $(val68[$val80;])

val85=$(tmp0)
tmp0=!itemcnt $val85

val86=$(tmp0)
val87=
!for val88  = 1 to $val86 
tmp0=!positionof item $(val85[$val88]) in $val83

val87=$val87, $(tmp0)
!next
tmp0=!nonempty items $val87

tmp1=!sort items $(tmp0)

val87=$(tmp1)
tmp=!trim $val63	    $val87
val63=!translate internal $	\
$ to ;; in $tmp
!next
tmp0=!nonempty items $val64

val64=$(tmp0)
t_=!replace internal \( by ( in divrem($val41,$val42)~
tmp0=!exec pari $t_

val89=$(tmp0)
val90=$[rint($(val89[1]) + 1)]
tmp=!trim 
val91=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val92=!translate internal $	\
$ to ;; in $tmp
val93=
!for val94  = 1 to $val90 -1 
tmp0=!makelist r x for x = $val42*$val94 -$val42+1 to $val42*$val94

tmp=!trim $val91	$(tmp0)
val91=!translate internal $	\
$ to ;; in $tmp
tmp0=!makelist x for x = $val42*$val94 -$val42+1 to $val42*$val94

tmp=!trim $val92	$(tmp0)
val92=!translate internal $	\
$ to ;; in $tmp
tmp0=!values $val94+1 for x = ($val94-1)*$val42 +1 to $val94*$val42

val95=$(tmp0)
tmp0=!append item $val95 to $val93

val93=$(tmp0)
!next
tmp0=!makelist r x  for x = $val42*$val90-$val42+1 to $val41

tmp=!trim $val91	 $(tmp0)	
val91=!translate internal $	\
$ to ;; in $tmp
tmp0=!makelist x  for x = $val42*$val90-$val42+1 to $val41

tmp=!trim $val92	 $(tmp0)	
val92=!translate internal $	\
$ to ;; in $tmp
tmp0=!values $val90+1  for x = $val42*$val90-$val42+1 to $val41

val93=$val93, $(tmp0)
val96=$(val91[1;])
val97=
val98=
tmp0=!values x * $val42 for x = 1 to $val90+1

val99=$(tmp0)
tmp0=!makelist x for x = 1 to 2*$val41

val100=$(tmp0)
tmp0=!items2words $val100

val100=$(tmp0)
val101=$[rint(0)]
val102=$[10]
dynsteps=yes
oefsteps=$val96 
nextstep=!nosubst $val96 
!readproc oef/steps.proc
replytype1=$val21

replyoption1=$val60 
replyname1=
replygood1=?analyze 103;$(val65[1;])
replytype2=$val21

replyoption2=$val60 
replyname2=
replygood2=?analyze 104;$(val65[2;])
replytype3=$val21

replyoption3=$val60 
replyname3=
replygood3=?analyze 105;$(val65[3;])
replytype4=$val21

replyoption4=$val60 
replyname4=
replygood4=?analyze 106;$(val65[4;])
replytype5=$val21

replyoption5=$val60 
replyname5=
replygood5=?analyze 107;$(val65[5;])
replytype6=$val21

replyoption6=$val60 
replyname6=
replygood6=?analyze 108;$(val65[6;])
replytype7=$val21

replyoption7=$val60 
replyname7=
replygood7=?analyze 109;$(val65[7;])
replytype8=$val21

replyoption8=$val60 
replyname8=
replygood8=?analyze 110;$(val65[8;])
replytype9=$val21

replyoption9=$val60 
replyname9=
replygood9=?analyze 111;$(val65[9;])
replytype10=$val21

replyoption10=$val60 
replyname10=
replygood10=?analyze 112;$(val65[10;])
replytype11=$val21

replyoption11=$val60 
replyname11=
replygood11=?analyze 113;$(val65[11;])
replytype12=$val21

replyoption12=$val60 
replyname12=
replygood12=?analyze 114;$(val65[12;])
replytype13=$val21

replyoption13=$val60 
replyname13=
replygood13=?analyze 115;$(val65[13;])
replytype14=$val21

replyoption14=$val60 
replyname14=
replygood14=?analyze 116;$(val65[14;])
replytype15=$val21

replyoption15=$val60 
replyname15=
replygood15=?analyze 117;$(val65[15;])
replytype16=$val21

replyoption16=$val60 
replyname16=
replygood16=?analyze 118;$(val65[16;])
replytype17=$val21

replyoption17=$val60 
replyname17=
replygood17=?analyze 119;$(val65[17;])
replytype18=$val21

replyoption18=$val60 
replyname18=
replygood18=?analyze 120;$(val65[18;])
replytype19=$val21

replyoption19=$val60 
replyname19=
replygood19=?analyze 121;$(val65[19;])
replytype20=$val21

replyoption20=$val60 
replyname20=
replygood20=?analyze 122;$(val65[20;])
question=__EXECUTED_1692754_EXERCISE__
help=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val47	$val53$val8	 
!if $val48 notsametext  
$() 
!read oef/special.phtml help reading,Reading 
$() 
!endif
$()	 
!if $val50 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	$val49$val51	  
!for m_h=1 to $(val99[$m_step]) 
$()$(val66[$m_h;])	    
!if ($m_h <= $(val99[$m_step]) - $val42 or r $m_h isitemof $val96) and $(val61[$m_h;]) notsametext  
$()	     <p> 
!if $val90 > 1 
$()$m_h :  
!endif
$() $(val61[$m_h;])</p>	    
!endif
$()	    
!if $m_h <= $(val99[$m_step]) - $val42 and $(val61[$m_h;]) notsametext 
$()	    <div class="reponse">	      $val55	        
!for m_a in $(val98[$m_h;]) 
$()	          
!if  $m_a  isitemof $(val65[$m_h;$(val63[$m_h;])]) 
$()	            
!if $(val97[$m_h;2])>0 and $(val97[$m_h;3])=0 
$()	           <font color="navy"><b>$m_a</b></font> 
!else
$()	            <font color="green"><b>$m_a</b></font> 
!endif
$()	            
!else
$()	          	         <font color="red"><b><strike>$m_a</strike></b></font> 
!endif
$() -  
!next
$()	          
!if $(val97[$m_h;2])>0 and $(val97[$m_h;3])=0 
$()	                   <font color="navy">$val59	          </font> 
!endif
$()	          
!if $(val97[$m_h;3])>0 
$()<font color="red">$val58</font> 
!endif
$()	          
!if $(val97[$m_h;3])=0 and $(val97[$m_h;2])=0 
$()<font color="green">$val57</font> 
!endif
$()	          
!if $val35=yes 
$()	         <br> $val56 <font color=green><b>$(val65[$m_h;$(val63[$m_h;])])</font></b> 
!endif
$()	       
!if $(val62[$m_h;]) notsametext  
$()<br>$(val62[$m_h;]) 
!endif
$()     	     </div>	    
!else
$()	      
!if  r $m_h isitemof $val96 
$()	      <div class="question">	   <ol>	       
!for m_s=1 to $(val64[$m_h]) 
$() <li> 
!read oef/embed.phtml reply \h , \s 
$()</li>  
!next
$()	      </ol>	      </div>	       
!endif
$()	    
!endif
$()	     </ol>	   
!next
$()	 
$()
!exit

:hint
$()
$()
!exit

:help
$()$val47 
!if $m_help_subject issametext reading or	$m_help_subject issametext image	or  $m_help_subject issametext  
$()	 
!read oef/special.phtml expandlines $val48 
$()		$val50 
!endif
$()	
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:postdef
tmp=!trim $val103	$val104	$val105	$val106	$val107	$val108	$val109	$val110	$val111	$val112	$val113	$val114	$val115	$val116	$val117	$val118	$val119	$val120	$val121	$val122
val98=!translate internal $	\
$ to ;; in $tmp
!if $val21=radio 
tmp0=!replace internal , by  &#44; in $val98

val98=$(tmp0)
!endif
tmp=!trim \explication2
val123=!translate internal $	\
$ to ;; in $tmp
!for val94  = 1 to $val42 
val85=$(val92[$m_step-1;$val94])
tmp0=!listuniq $(val98[$val85;]),$(val65[$val85;$(val63[$val85;])])

val124=$(tmp0)
tmp0=!itemcnt $val124

tmp1=!itemcnt $(val65[$val85;$(val63[$val85;])])

val124=$[rint($(tmp0)-$(tmp1))]
tmp0=!listcomplement $(val98[$val85;]) in $(val65[$val85;$(val63[$val85;])])

val125=$(tmp0)
tmp0=!listcomplement $(val65[$val85;$(val63[$val85;])]) in $(val98[$val85;])

val126=$(tmp0)
tmp0=!itemcnt $(val98[$val85;])

tmp1=!itemcnt $(val65[$val85;])

val127=$[rint($(tmp0) - $(tmp1))]
tmp0=!itemcnt $val125

tmp1=!itemcnt $val126

val128=$val124, $(tmp0),$(tmp1)

!ifval $(val128[1])+$(val128[2])+$(val128[3]) =0 
val101=$[rint( $val101 + 1)]
!endif
tmp=!trim $val97	   $val128
val97=!translate internal $	\
$ to ;; in $tmp
!next
val102=$[$val101/$(val92[$m_step-1;$val42])]

!ifval $val102 >= $val19 
val96= $(val91[$m_step;])
!else
val96=
!endif
tmp0=!rows2lines $val62

val129=$(tmp0)
tmp0=!lines2items $val129

val129=$(tmp0)
tmp0=!items2words $val129

val129=$(tmp0)
tmp0=!nospace $val129

val129=$(tmp0)

!exit

:feedback

!exit

:test

condlist=$val100
condoption1=hide 

!ifval $(val97[1;3])=0
 condtest1=1
!else
 condtest1=0
!endif
condname1=Question 1 : $val103
condoption2=hide 

!ifval $(val97[1;1])=0 and $(val97[1;2])=0 and $(val97[1;3])=0
 condtest2=1
!else
 condtest2=0
!endif
condname2=Question 1 : $val103
condoption3=hide 

!ifval $(val97[2;3])=0 and $m_step >=$(val93[2])
 condtest3=1
!else
 condtest3=0
!endif
condname3=Question 2 : $val104
condoption4=hide 

!ifval $(val97[2;1])=0 and $(val97[2;2])=0 and $(val97[2;3])=0 and $m_step >=$(val93[2])
 condtest4=1
!else
 condtest4=0
!endif
condname4=Question 2 : $val104
condoption5=hide 

!ifval $(val97[3;3])=0 and $m_step >=$(val93[3])
 condtest5=1
!else
 condtest5=0
!endif
condname5=Question 3 : $val105
condoption6=hide 

!ifval $(val97[3;1])=0 and $(val97[3;2])=0 and $(val97[3;3])=0 and $m_step >=$(val93[3])
 condtest6=1
!else
 condtest6=0
!endif
condname6=Question 3 : $val105
condoption7=hide 

!ifval $(val97[4;3])=0 and $m_step >=$(val93[4])
 condtest7=1
!else
 condtest7=0
!endif
condname7=Question 4 : $val106
condoption8=hide 

!ifval $(val97[4;1])=0 and $(val97[4;2])=0 and $(val97[4;3])=0 and $m_step >=$(val93[4])
 condtest8=1
!else
 condtest8=0
!endif
condname8=Question 4 : $val106
condoption9=hide 

!ifval $(val97[5;3])=0 and $m_step >=$(val93[5])
 condtest9=1
!else
 condtest9=0
!endif
condname9=Question 5 : $val107
condoption10=hide 

!ifval $(val97[5;1])=0 and $(val97[5;2])=0 and $(val97[5;3])=0 and $m_step >=$(val93[5])
 condtest10=1
!else
 condtest10=0
!endif
condname10=Question 5 : $val107
condoption11=hide 

!ifval $(val97[6;3])=0 and $m_step >=$(val93[6])
 condtest11=1
!else
 condtest11=0
!endif
condname11=Question 6 : $val108
condoption12=hide 

!ifval $(val97[6;1])=0 and $(val97[6;2])=0 and $(val97[6;3])=0 and $m_step >=$(val93[6])
 condtest12=1
!else
 condtest12=0
!endif
condname12=Question 6 : $val108
condoption13=hide 

!ifval $(val97[7;3])=0 and $m_step >=$(val93[7])
 condtest13=1
!else
 condtest13=0
!endif
condname13=Question 7 : $val109
condoption14=hide 

!ifval $(val97[7;1])=0 and $(val97[7;2])=0 and $(val97[7;3])=0 and $m_step >=$(val93[7])
 condtest14=1
!else
 condtest14=0
!endif
condname14=Question 7 : $val109
condoption15=hide 

!ifval $(val97[8;3])=0 and $m_step >=$(val93[8])
 condtest15=1
!else
 condtest15=0
!endif
condname15=Question 8 : $val110
condoption16=hide 

!ifval $(val97[8;1])=0 and $(val97[8;2])=0 and $(val97[8;3])=0 and $m_step >=$(val93[8])
 condtest16=1
!else
 condtest16=0
!endif
condname16=Question 8 : $val110
condoption17=hide 

!ifval $(val97[9;3])=0 and $m_step >=$(val93[9])
 condtest17=1
!else
 condtest17=0
!endif
condname17=Question 9 : $val111
condoption18=hide 

!ifval $(val97[9;1])=0 and $(val97[9;2])=0 and $(val97[9;3])=0 and $m_step >=$(val93[9])
 condtest18=1
!else
 condtest18=0
!endif
condname18=Question 9 : $val111
condoption19=hide 

!ifval $(val97[10;3])=0 and $m_step >=$(val93[10])
 condtest19=1
!else
 condtest19=0
!endif
condname19=Question 10 : $val112
condoption20=hide 

!ifval $(val97[10;1])=0 and $(val97[10;2])=0 and $(val97[10;3])=0 and $m_step >=$(val93[10])
 condtest20=1
!else
 condtest20=0
!endif
condname20=Question 10 : $val112
condoption21=hide 

!ifval $(val97[11;3])=0 and $m_step >=$(val93[11])
 condtest21=1
!else
 condtest21=0
!endif
condname21=Question 11 : $val113
condoption22=hide 

!ifval $(val97[11;1])=0 and $(val97[11;2])=0 and $(val97[11;3])=0 and $m_step >=$(val93[11])
 condtest22=1
!else
 condtest22=0
!endif
condname22=Question 11 : $val113
condoption23=hide 

!ifval $(val97[12;3])=0 and $m_step >=$(val93[12])
 condtest23=1
!else
 condtest23=0
!endif
condname23=Question 12 : $val114
condoption24=hide 

!ifval $(val97[12;1])=0 and $(val97[12;2])=0 and $(val97[12;3])=0 and $m_step >=$(val93[12])
 condtest24=1
!else
 condtest24=0
!endif
condname24=Question 12 : $val114
condoption25=hide 

!ifval $(val97[13;3])=0 and $m_step >=$(val93[13])
 condtest25=1
!else
 condtest25=0
!endif
condname25=Question 13 : $val115
condoption26=hide 

!ifval $(val97[13;1])=0 and $(val97[13;2])=0 and $(val97[13;3])=0 and $m_step >=$(val93[13])
 condtest26=1
!else
 condtest26=0
!endif
condname26=Question 13 : $val115
condoption27=hide 

!ifval $(val97[14;3])=0 and $m_step >=$(val93[14])
 condtest27=1
!else
 condtest27=0
!endif
condname27=Question 14 : $val116
condoption28=hide 

!ifval $(val97[14;1])=0 and $(val97[14;2])=0 and $(val97[14;3])=0 and $m_step >=$(val93[14])
 condtest28=1
!else
 condtest28=0
!endif
condname28=Question 14 : $val116
condoption29=hide 

!ifval $(val97[15;3])=0 and $m_step >=$(val93[15])
 condtest29=1
!else
 condtest29=0
!endif
condname29=Question 15 : $val117
condoption30=hide 

!ifval $(val97[15;1])=0 and $(val97[15;2])=0 and $(val97[15;3])=0 and $m_step >=$(val93[15])
 condtest30=1
!else
 condtest30=0
!endif
condname30=Question 15 : $val117
condoption31=hide 

!ifval $(val97[16;3])=0 and $m_step >=$(val93[16])
 condtest31=1
!else
 condtest31=0
!endif
condname31=Question 16 : $val118
condoption32=hide 

!ifval $(val97[16;1])=0 and $(val97[16;2])=0 and $(val97[16;3])=0 and $m_step >=$(val93[16])
 condtest32=1
!else
 condtest32=0
!endif
condname32=Question 16 : $val118
condoption33=hide 

!ifval $(val97[17;3])=0 and $m_step >=$(val93[17])
 condtest33=1
!else
 condtest33=0
!endif
condname33=Question 17 : $val119
condoption34=hide 

!ifval $(val97[17;1])=0 and $(val97[17;2])=0 and $(val97[17;3])=0 and $m_step >=$(val93[17])
 condtest34=1
!else
 condtest34=0
!endif
condname34=Question 17 : $val119
condoption35=hide 

!ifval $(val97[18;3])=0 and $m_step >=$(val93[18])
 condtest35=1
!else
 condtest35=0
!endif
condname35=Question 18 : $val120
condoption36=hide 

!ifval $(val97[18;1])=0 and $(val97[18;2])=0 and $(val97[18;3])=0 and $m_step >=$(val93[18])
 condtest36=1
!else
 condtest36=0
!endif
condname36=Question 18 : $val120
condoption37=hide 

!ifval $(val97[19;3])=0 and $m_step >=$(val93[19])
 condtest37=1
!else
 condtest37=0
!endif
condname37=Question 19 : $val121
condoption38=hide 

!ifval $(val97[19;1])=0 and $(val97[19;2])=0 and $(val97[19;3])=0 and $m_step >=$(val93[19])
 condtest38=1
!else
 condtest38=0
!endif
condname38=Question 19 : $val121
condoption39=hide 

!ifval $(val97[20;3])=0 and $m_step >=$(val93[20])
 condtest39=1
!else
 condtest39=0
!endif
condname39=Question 20 : $val122
condoption40=hide 

!ifval $(val97[20;1])=0 and $(val97[20;2])=0 and $(val97[20;3])=0 and $m_step >=$(val93[20])
 condtest40=1
!else
 condtest40=0
!endif
condname40=Question 20 : $val122

!exit

:stat
vsavelist=8,19,21,35,42,47,48,49,50,51,53,55,56,57,58,59,61,62,63,64,65,66,85,90,91,92,93,94,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122
embedcnt=4
